<section>
    <h1 class="text-2xl font-bold my-4">Events</h1>
    <div class="flex justify-center">
        <table>
            <thead>
                <th class="px-4">Title</th>
                <th class="px-4">Date</th>
                <th class="px-4">Location</th>
                <th class="px-4">Capacity</th>
                <th class="px-4">Type</th>
            </thead>
            <tbody class="shadow-inner">
                <tr routerLink="/events/{{event.uuid}}" *ngFor="let event of events" class="even:bg-surface0 divide-x-2 divide-surface2 odd:hover:bg-base hover:brightness-125 cursor-pointer">
                    <td class="text-center py-1 px-2">{{event.title}}</td>
                    <td class="text-center py-1 px-2">{{event.date | date:'dd/MM/yyyy'}}</td>
                    <td class="text-center py-1 px-2">{{event.location}}</td>
                    <td class="text-center py-1 px-2">{{event.attendees.length}}/{{event.capacity}}</td>
                    <td class="text-center py-1 px-2">{{event.type}}</td>
                </tr>
            </tbody>
        </table>
    </div>
</section>
